disarray.h File Reference

`disarray` - distributed container More...

Go to the source code of this file.

## Classes

struct | _disarray_put_element_type< T >
| disarray element output helper More...
struct | _disarray_put_matlab_type< T >
struct | _disarray_get_element_type< T >
| disarray element input helper More...
class | disarray_rep< T, M, A >
class | disarray_rep< T, sequential, A >
class | disarray_rep< T, distributed, A >
struct | disarray_rep< T, distributed, A >::dis_reference
struct | disarray_rep< T, distributed, A >::remove_const_in_pair< Pair >
struct | disarray_rep< T, distributed, A >::remove_const_in_pair< std::pair< T1, T2 > >
struct | disarray_rep< T, distributed, A >::stash_traits< U, IsContainer >
struct | disarray_rep< T, distributed, A >::stash_traits< U, std::false_type >
struct | disarray_rep< T, distributed, A >::stash_traits< U, std::true_type >
struct | disarray_rep< T, distributed, A >::message_type
class | disarray< T, M, A >
| see the `disarray` page for the full documentation More...
class | disarray< T, sequential, A >
class | disarray< T, distributed, A >

## Namespaces

| rheolef
| This file is part of Rheolef.

## Functions

template<class T , class A >
idiststream & | operator>> (idiststream &ips, disarray< T, sequential, A > &x)
template<class T , class A >
odiststream & | operator<< (odiststream &ops, const disarray< T, sequential, A > &x)
template<class T , class A >
idiststream & | operator>> (idiststream &ips, disarray< T, distributed, A > &x)
template<class T , class A >
odiststream & | operator<< (odiststream &ops, const disarray< T, distributed, A > &x)

## Detailed Description

`disarray` - distributed container

Definition in file disarray.h.